import Rhino
import csv
import rhinoscriptsyntax as rs
import random


def importtolayers():

    file = rs.OpenFileName(filter = "CSV files|*.csv|Text files|*.txt||", extension = ".csv")
     
    with open(file, "rU") as f:
        reader = csv.reader (f, dialect=csv.excel)
        parentlayer = rs.CurrentLayer ()
        
        layer = parentlayer
        print parentlayer
        for line in reader:
            value = line[0].strip () ;
            try:
                if value <> "":
                    float (value)
                    x = rs.AddPoint(rs.Str2Pt(line))
                    if x: rs.ObjectLayer(x, layer)
                
            except ValueError:
                print "Value ", value ;
                color = rs.CreateColor (random.randint (0, 255), random.randint (0, 255), random.randint (0, 255))
                layer = rs.AddLayer(value, color=color, parent=parentlayer)
importtolayers()